Skip to navigation

Get project reimport status

Poll the status of an asynchronous project reimport operation.

Usage:

  1. When you POST to reimport tasks, you’ll receive a response with a reimport ID
  2. Use that reimport_id with this GET endpoint to check the reimport status
  3. Poll this endpoint to see if the reimport has completed, is still processing, or has failed
  4. Reimport errors and failures will only be visible in this GET response, not in the original POST request

This endpoint returns detailed information about the reimport including task counts, status, and any error messages. While a reimport is running, task_count / annotation / prediction counts update as batches commit. Counts are cumulative so far; there is no expected total, so percent-complete / ETA is not available from this API.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this project.
reimport_pkintegerRequired
A unique integer value identifying this project reimport.

Response

created_atdatetime or nullRead-only
Creation time
idintegerRead-only
annotation_countintegerOptional-2147483648-2147483647
data_columnsanyOptional
durationintegerOptional-2147483648-2147483647
errorstring or nullOptional
file_upload_idsanyOptional
files_as_tasks_listbooleanOptional
finished_atdatetime or nullOptional
Complete or fail time
found_formatsanyOptional
prediction_countintegerOptional-2147483648-2147483647
projectinteger or nullOptional
statusenumOptional
  • created - Created
  • in_progress - In progress
  • failed - Failed
  • completed - Completed
Allowed values:
task_countintegerOptional-2147483648-2147483647
updated_atdatetime or nullOptional
Last time reimport progress or terminal status was updated